﻿set echo on
--
select REFERENCE, DESCRIPTION
  from PURCHASEORDER,
       xmlTable
       (
         '/PurchaseOrder'
         passing object_value
         columns
         REFERENCE            path 'Reference',
         LINEITEMS  xmltype   path 'LineItems'
       ),
       xmlTable
       (
          '/LineItems/LineItem'
          passing LINEITEMS
          columns
          DESCRIPTION         path 'Description'
       )
 where XMLExists('/PurchaseOrder/LineItems/LineItem[Description="花样年华"]' passing object_value)
/
quit








