set echo on
create index iPurchaseOrderUser on PurchaseOrder
(extractValue(object_value,'/PurchaseOrder/User'))
/
create index iLineItemPartNumber on LINEITEM_TABLE
(ITEMNUMBER, PART.PART_NUMBER, NESTED_TABLE_ID) compute statistics
/
create index iPartNumber on LINEITEM_TABLE 
(PART.PART_NUMBER, NESTED_TABLE_ID) compute statistics
/
call dbms_stats.gather_schema_stats(USER)
/
call dbms_stats.import_schema_stats(USER,'STAT_TABLE','stat_set_1')
/
quit
