set pages 80
set lines 132
set long 10000
set echo on
--
set autotrace on explain
--
-- select xmlserialize( DOCUMENT OBJECT_VALUE as CLOB encoding UTF-8 INDENT SIZE=2 )
select *
  from DEPARTMENT_XML d
 where XMLExists('$d/Department[Name="Executive"]' passing object_value as "d") 
/
pause
--
select XMLCast( XMLQUery ( '$d/Department/Name' passing object_value as "d" returning content) as VARCHAR2(32) ) DEPARTMENT_NAME
  from DEPARTMENT_XML d
 where XMLExists('$d/Department/EmployeeList/Employee[LastName="Grant"]' passing object_value as "d") 
/ 
quit
