set echo on
create or replace trigger DEPARTMENT_DML
instead of INSERT or UPDATE or DELETE 
on DEPARTMENT_XML
begin
  null;
end;
/
declare
  cursor getDepartments is
    select ref(d) XMLREF, 
           XMLCast( XMLQUery ( '$d/Department/Name' passing object_value as "d" returning content) as VARCHAR2(32) ) NAME
      from DEPARTMENT_XML d;
  res boolean;
  targetFolder varchar2(1024) :=  '/home/%USER%/Departments';
begin
  if dbms_xdb.existsResource(targetFolder) then
     dbms_xdb.deleteResource(targetFolder,dbms_xdb.DELETE_RECURSIVE);
  end if;
  res := dbms_xdb.createFolder(targetFolder);
  for dept in getDepartments loop
    res := DBMS_XDB.createResource(targetFolder || '/' || dept.NAME || '.xml', dept.XMLREF);
  end loop;
end;
/
select path
  from path_view
 where under_path(RES,'/home/%USER%/Departments') = 1
/ 
quit

    