begin
  dbms_xmlschema.registerSchema
  (
    schemaURL => '%SCHEMAURL%',
    schemaDoc => xdbURIType('/home/%USER%/poSource/xsd/purchaseOrder.xsd').getClob(),
    local     => TRUE,
    genTypes  => TRUE,
    genTables => TRUE
  );
end;
/
begin
  xdb_analyze_xmlSchema.renameCollectionTable ('PURCHASEORDER','"XMLDATA"."LINEITEMS"."LINEITEM"','LINEITEM');
  xdb_analyze_xmlSchema.renameCollectionTable ('PURCHASEORDER','"XMLDATA"."ACTIONS"."ACTION"','ACTION');
end;
/
select PARENT_TABLE_NAME, PARENT_TABLE_COLUMN, TABLE_NAME
  from USER_NESTED_TABLES
/
quit
