alter table PURCHASEORDER
  add constraint REFERENCE_IS_UNIQUE 
      unique (xmldata."REFERENCE")
/
alter table PURCHASEORDER
  add constraint USER_IS_VALID
      foreign key (xmldata."USERID") references HR.EMPLOYEES(EMAIL)
/
create or replace trigger VALIDATE_PURCHASEORDER
before insert on PURCHASEORDER
for each row
begin
   if (:new.object_value is not null) then
     :new.object_value.schemavalidate();
   end if;
end;
/
quit
