set echo on
--
-- DROP the context index iDESCRIPTION_TEXT_INDEX and iPURCHASEORDER_FULL_TEXT before dropping the Schema
--
declare
  non_existant_index exception;
  PRAGMA EXCEPTION_INIT( non_existant_index , -1418 );
begin
  begin
    execute immediate 'drop index iDESCRIPTION_FULL_TEXT';
  exception
    when non_existant_index then
      null;
  end;
  begin
    execute immediate 'drop index iPURCHASEORDER_FULL_TEXT';
  exception
    when non_existant_index then
      null;
  end;
end;
/
quit
