set pages 25
column REFERENCE format A26
column ITEMNO format 9999
column PARTNO format 999999999999999
column DESCRIPTION format A30   
set echo on
--
call dbms_xdbz.disable_hierarchy(USER,'PURCHASEORDER')
/
set autotrace on explain
--
select REFERENCE, COSTCENTER, SHIP_TO_NAME 
  from PURCHASEORDER_MASTER_VIEW 
 where USERID = 'SBELL'
/
select m.REFERENCE, l.ITEMNO, l.PARTNO, l.DESCRIPTION
  from PURCHASEORDER_MASTER_VIEW m, PURCHASEORDER_LINEITEM_VIEW l 
 where m.REFERENCE = l.REFERENCE
   and m.USERID = 'SBELL'
   and l.PARTNO in ('37429121726', '37429122129', '715515009058')
/
pause
--
select PARTNO, count(*) "Orders", QUANTITY "Copies"
  from PURCHASEORDER_LINEITEM_VIEW 
 where PARTNO in ( '37429121726', '37429122129', '715515009058' )
 group by rollup(PARTNO, QUANTITY)
/
call dbms_xdbz.enable_hierarchy(USER,'PURCHASEORDER')
/
quit
