set feedback on
set linesize 132
column "Full Name" format A64
set echo on
select p.* 
  from PURCHASEORDER,
       xmltable
       (
          '/PurchaseOrder'
          passing object_value
          columns
          EMAIL       path 'User',
          FULL_NAME   path 'Requestor'
       ) p
  where XMLExists('$p/PurchaseOrder[Reference/text()="EABEL-20030409123336251PDT"]' passing object_value as "p")
/  
update PURCHASEORDER p
   set object_value = updateXML
                      (
                        object_value,
                        '/PurchaseOrder/User/text()','SBELL',
                        '/PurchaseOrder/Requestor/text()','Sarah J Bell'
                      )
  where XMLExists('$p/PurchaseOrder[Reference/text()="EABEL-20030409123336251PDT"]' passing object_value as "p")
/
select p.* 
  from PURCHASEORDER,
       xmltable
       (
          '/PurchaseOrder'
          passing object_value
          columns
          EMAIL       path 'User',
          FULL_NAME   path 'Requestor'
       ) p
  where XMLExists('$p/PurchaseOrder[Reference/text()="EABEL-20030409123336251PDT"]' passing object_value as "p")
/  
pause
--
select l.*
  from PURCHASEORDER,
       XMLTable
       (
         '$p/PurchaseOrder/LineItems/LineItem'
         passing object_value as "p"
         columns
         DESCRIPTION path 'Description'
       ) l
 where XMLexists('$p/PurchaseOrder[Reference="EABEL-20030409123336251PDT"]' passing object_value as "p")     
/
update PURCHASEORDER
   set object_value = updateXML
                      (
                        object_value,
                        '/PurchaseOrder/LineItems/LineItem/Description/text()',
                        'The Wizard of Oz'
                      )
 where XMLexists('$p/PurchaseOrder[Reference="EABEL-20030409123336251PDT"]/LineItems/LineItem[Description="The Red Shoes"]' passing object_value as "p")     
/
select l.*
  from PURCHASEORDER,
       XMLTable
       (
         '$p/PurchaseOrder/LineItems/LineItem'
         passing object_value as "p"
         columns
         DESCRIPTION path 'Description'
       ) l
 where XMLexists('$p/PurchaseOrder[Reference="EABEL-20030409123336251PDT"]' passing object_value as "p")     
/
pause
--
update PURCHASEORDER
   set object_value = updateXML
                      (
                        object_value,
                        '/PurchaseOrder/LineItems',
                        XMLType
                        (
                         '<LineItems>                      
                            <LineItem ItemNumber="1">
                              <Description>Samurai 2: Duel at Ichijoji Temple</Description>
                              <Part Id="37429125526" UnitPrice="29.95" Quantity="3"/>
                            </LineItem>
                            <LineItem ItemNumber="2">
                              <Description>The Red Shoes</Description>
                              <Part Id="37429128220" UnitPrice="39.95" Quantity="4"/>
                            </LineItem>
                            <LineItem ItemNumber="3">
                              <Description>A Night to Remember</Description>
                              <Part Id="715515009058" UnitPrice="39.95" Quantity="1"/>
                             </LineItem>
                          </LineItems>'
                        )
                      ) 
 where XMLexists('$p/PurchaseOrder[Reference="EABEL-20030409123336251PDT"]' passing object_value as "p")     
/
select l.*
  from PURCHASEORDER,
       XMLTable
       (
         '$p/PurchaseOrder/LineItems/LineItem'
         passing object_value as "p"
         columns
         DESCRIPTION path 'Description'
       ) l
 where XMLexists('$p/PurchaseOrder[Reference="EABEL-20030409123336251PDT"]' passing object_value as "p")     
/
pause
--
update PURCHASEORDER
set object_value = updateXML
               (
                   object_value,
                   '/PurchaseOrder/LineItems/LineItem/Description[text()="The Red Shoes"]/text()',
                   'The Wizard of Oz'
               )
 where XMLexists('$p/PurchaseOrder[Reference="EABEL-20030409123336251PDT"]' passing object_value as "p")     
/
select l.*
  from PURCHASEORDER,
       XMLTable
       (
         '$p/PurchaseOrder/LineItems/LineItem'
         passing object_value as "p"
         columns
         DESCRIPTION path 'Description'
       ) l
 where XMLexists('$p/PurchaseOrder[Reference="EABEL-20030409123336251PDT"]' passing object_value as "p")     
/
pause
--
update PURCHASEORDER
   set object_value = updateXML
                      (
                        object_value,
                        '/PurchaseOrder/User/text()','EABEL',
                        '/PurchaseOrder/Requestor/text()','Ellen S. Abel',                        
                        '/PurchaseOrder/LineItems',
                        XMLType
                        (
                         '<LineItems>                      
                            <LineItem ItemNumber="1">
                              <Description>Samurai 2: Duel at Ichijoji Temple</Description>
                              <Part Id="37429125526" UnitPrice="29.95" Quantity="3"/>
                            </LineItem>
                            <LineItem ItemNumber="2">
                              <Description>The Red Shoes</Description>
                              <Part Id="37429128220" UnitPrice="39.95" Quantity="4"/>
                            </LineItem>
                            <LineItem ItemNumber="3">
                              <Description>A Night to Remember</Description>
                              <Part Id="715515009058" UnitPrice="39.95" Quantity="1"/>
                             </LineItem>
                          </LineItems>'
                        )
                      ) 
 where XMLexists('$p/PurchaseOrder[Reference="EABEL-20030409123336251PDT"]' passing object_value as "p")     
/
quit

